package com.example.demo

import com.example.lib.MyLib
import com.example.lib.MyUtils
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.CommandLineRunner
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication

@SpringBootApplication (scanBasePackages = ["com.example.customerapi"])
class DemoApplication @Autowired constructor(
    //customerRepository: CustomerRepository,
) : CommandLineRunner {
    override fun run(vararg args: String?) {
        MyLib.doOnMe()

        println()

        println("Hello JJKK: ${MyUtils.helloWorld()}")
    }
}

fun main(args: Array<String>) {
    runApplication<DemoApplication>(*args)
}
